% Abstract Template for HPTC Workshop 2019
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{HPTC2019abstract}


% DECLARE TEMPLATE OPTIONS
%\DeclareOption{onecolumn}{\OptionNotUsed}
%\DeclareOption{11pt}{\OptionNotUsed}
%\DeclareOption{a4paper}{\OptionNotUsed}
%\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
%\ProcessOptions
%%
\LoadClass[a4paper,10pt,onecolumn,notitlepage]{article}
%%
\usepackage{pslatex}
\usepackage{graphicx}
\usepackage{fancyhdr}
\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{textcomp}
\usepackage{natbib}	
\usepackage[top=25mm, bottom=25mm, left=25mm, right=25mm]{geometry}
\usepackage{subfigure}	
\usepackage{hyperref}
\usepackage[utf8]{inputenc}
\usepackage{mathptmx}
\usepackage[T1]{fontenc}

%% FONT SIZES
%\renewcommand{\normalsize}{\fontsize{10}{10}\selectfont}
\newcommand{\authorsize}{\fontsize{14}{14}\selectfont}
\newcommand{\titlesize}{\fontsize{20}{20}\selectfont}

%% page style
\pagestyle{fancy}
\lhead{}
\chead{}
\rhead{}
\lfoot{}
\cfoot{}
\rfoot{}

\headheight22pt

\renewcommand{\headrulewidth}{0pt}
\setlength{\columnsep}{12.5mm}

\fancypagestyle{firstpage}{%
 	 \lhead{Fundamental Understanding and Modelling of High Pressure Turbulent Premixed Combustion\\HPTC 2019 -- Munich/Neubiberg, Germany, September 19-20, 2019}
	}
  
 \renewcommand{\maketitle}{
 		\global\@topnum\z@
  		\@maketitle
    		\thispagestyle{firstpage}
	}
	
\def\@maketitle{
	\newpage
 	\null
 	\begin{center}
		{\bfseries \titlesize \@title}
		\vskip 10pt%
		{\bfseries \authorsize \@author}
		\vskip 7pt%
		{\mdseries \normalsize \@affiliation}
	\end{center}
	}
	
\def\affiliation#1{\gdef\@affiliation{#1}}
\gdef\@affiliation{}
	
	
%%%%
\renewenvironment{abstract}{\section*{Abstract}}{}%
\newenvironment{acknowledgements}{\section*{Acknowledgements}}{}%
%
\def\whline{%
  \noalign{\ifnum0=`}\fi\hrule \@height2\arrayrulewidth \futurelet
   \reserved@a\@xhline}
%
%\bibliographystyle{abbrv}
\bibliographystyle{apalike}
